com.gisgraphy.importer.dto

## Class InterpolationHouseNumber

- java.lang.Object
- - com.gisgraphy.importer.dto.InterpolationHouseNumber

-     public class InterpolationHouseNumber
      extends Object

  Represents a house number as an interpolation in the Karlsruhe schema.
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpolationHouseNumber()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(InterpolationMember member)` Add a member
    `AddressInclusion` | `getAddressInclusion()`
    `InterpolationType` | `getInterpolationType()`
    `List<InterpolationMember>` | `getMembers()`
    `String` | `getStreetName()`
    `String` | `getWayId()`
    `void` | `setAddressInclusion(AddressInclusion addressInclusion)`
    `void` | `setInterpolationType(InterpolationType interpolationType)`
    `void` | `setMembers(List<InterpolationMember> members)`
    `void` | `setStreetName(String streetName)`
    `void` | `setWayId(String wayId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpolationHouseNumber

          public InterpolationHouseNumber()

  - ### Method Detail

    - #### getWayId

          public String getWayId()

      Returns:
        the wayID

    - #### setWayId

          public void setWayId(String wayId)

      Parameters:
        `wayId` - the wayID to set

    - #### getMembers

          public List<InterpolationMember> getMembers()

      Returns:
        the members

    - #### setMembers

          public void setMembers(List<InterpolationMember> members)

      Parameters:
        `members` - the members to set

    - #### addMember

          public void addMember(InterpolationMember member)

      Add a member
      Parameters:
        `member` -

    - #### getInterpolationType

          public InterpolationType getInterpolationType()

      Returns:
        the interpolationType

    - #### setInterpolationType

          public void setInterpolationType(InterpolationType interpolationType)

      Parameters:
        `interpolationType` - the interpolationType to set

    - #### getStreetName

          public String getStreetName()

      Returns:
        the streetName

    - #### setStreetName

          public void setStreetName(String streetName)

      Parameters:
        `streetName` - the streetName to set

    - #### getAddressInclusion

          public AddressInclusion getAddressInclusion()

      Returns:
        the addressInclusion

    - #### setAddressInclusion

          public void setAddressInclusion(AddressInclusion addressInclusion)

      Parameters:
        `addressInclusion` - the addressInclusion to set

Copyright © 2015. All rights reserved.